* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Lato, sans-serif;
}
:root {
    --bg-color: #fff;
    --text-color: #191919;
    --primary-600: #850033;
    --primary-500: #c03434;
    --primary-400: #ef4444;
    --primary-300: #f8a4a4;
    --primary-200: #fcdada;
    --primary-100: #fdecec;
    --accent-color: #606060;
    --border-color: #e0e0e0;
    --card-bg: #f4f3fb;
    --shadow-color: rgba(0, 0, 0, 0.1);
    --input-text: #999;
    --color-red: #fb3748;
    --color-red-light: rgba(251, 55, 72, 0.10196078431372549);
    --color-yellow: #dfb400;
    --color-yellow-light: rgba(255, 219, 67, 0.1);
    --color-green: #1fc16b;
    --color-btn-green: #00dd21;
    --color-green-hover: #02f126;
    --color-green-light: #e6fbf0;
    --color-neutral: #050202;
    --color-neutral-200: #fafafa;
    --color-neutral-300: #fff;
    --color-neutral-400: #f8f8f8;
    --color-neutral-500: #e4e4e4;
    --color-neutral-600: #e8e8e8;
    --color-neutral-700: #bbb;
    --color-neutral-800: #777;
    --color-neutral-900: #333;
    --gaming-background: #e3d7f7;
    --gaming-color: #2c0bbf;
    --office-background: #dfeeff;
    --office-color: #007bff;
    --budget-background: #dbf5e3;
    --budget-color: #009c49;
    --business-background: #e5e5e5;
    --business-color: #495057;
    --students-background: #ffe7cc;
    --students-color: #ff8c00;
    --teachers-background: #850033;
    --sub-banner-card-background: #ffecd4;
    --sub-banner-card2-background: #c6d9ff;
    --sub-banner-card5-background: #d6effc;
    --color-radio: green;
}
.card {
    border: none;
}
.empty_cart_img {
    height: 230px;
    width: 250px;
}
.showmoreBtn {
    background-color: var(--primary-400);
    border: 2px solid var(--primary-400);
    color: var(--bg-color);
    border-radius: 4px;
}
.showmoreBtn.active,
.showmoreBtn:hover {
    background-color: var(--bg-color) !important;
    border: 2px solid var(--primary-400) !important;
    color: var(--primary-400) !important;
    border-radius: 4px;
}
.truncated-description {
    flex-grow: 1;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
.product-stock-badge {
    background-color: var(--color-green-light);
    color: var(--color-green);
    border: 0.5px solid var(--color-green);
    border-radius: 3px;
    font-size: 12px;
    padding: 0 10px;
}
.product-out-of-stock {
    background-color: var(--primary-100);
    color: var(--primary-300);
    border: 0.5px solid var(--primary-300);
    border-radius: 3px;
    font-size: 12px;
    padding: 3px 10px;
}
.save-for-later-btn {
    text-decoration: none;
    font-size: 16px;
}
.save-for-later-btn:hover {
    text-decoration: underline !important;
    text-decoration-color: var(--primary-400) !important;
    font-size: 16px;
}
.cancel-btn,
.cancel-btn:hover {
    border-radius: 2px !important;
    border: 1px solid var(--primary-400) !important;
    color: var(--primary-400) !important;
    font-size: 16px;
    padding: 6px 7px;
}
.cancel-btn:hover {
    box-shadow:
        0 4px 6px rgba(0, 0, 0, 0.3),
        0 1px 3px rgba(0, 0, 0, 0.06);
}
.check_out_btn {
    padding: 8px 22px;
    background: var(--color-btn-green);
    font-size: 18px;
    color: var(--bg-color) !important;
    text-decoration: none;
    border: none !important;
}
.check_out_btn.active,
.check_out_btn:hover {
    background-color: var(--color-green-hover) !important;
    box-shadow: 2px 1px 3px 1px rgba(0, 0, 0, 0.2) !important;
}
@media screen and (max-width: 768px) {
    .check_out_btn {
        padding: 6px 16px;
        background: var(--color-btn-green);
        font-size: 12px;
        color: var(--bg-color) !important;
        text-decoration: none;
        border: none !important;
        border-radius: 3px !important;
    }
}
.backButton {
    border: 1.5px solid rgba(0, 0, 0, 0.17647058823529413);
    border-radius: 5px;
}
.backButton,
.backButton:hover {
    color: rgba(0, 0, 0, 0.17647058823529413);
}
.backButton:hover {
    border: 1.5px solid rgba(0, 0, 0, 0.17647058823529413);
}
.badge_infos {
    color: var(--primary-400);
    background: var(--bg-color);
    border: 1px solid var(--primary-400);
    border-radius: 10px;
    cursor: pointer;
}
.badge_danger,
.badge_infos {
    font-size: 10px;
    padding: 0 8px;
}
.badge_danger {
    color: var(--primary-300);
    background: var(--primary-100);
    border-radius: 10px;
    cursor: default;
}
.form-check-input[type="radio"]:checked {
    background-color: var(--color-radio);
    color: var(--color-neutral-300);
    border-color: var(--color-radio);
}
.form-check-input[type="checkbox"]:checked {
    background-color: var(--primary-400);
    border-color: var(--primary-400);
    box-shadow: 0 0 6px var(--primary-300);
}
.form-check-input:focus {
    outline: none;
    box-shadow: none;
}
.card.payment-option {
    cursor: pointer;
    border: 1px solid #ddd;
    transition: border-color 0.2s;
}
.card.payment-option:hover {
    border-color: var(--primary-400);
}
.card.payment-option:has(input[type="radio"]:checked) {
    border-color: var(--color-radio);
}
.voucher-wrapper {
    position: relative;
    display: flex;
    min-height: 130px;
}
.voucher-ribbon {
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    background: #a550ff;
    font-weight: 700;
    font-size: 13px;
    padding: 8px 6px;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    min-width: 36px;
    text-align: center;
}
.voucher-card {
    border: 1px solid var(--border-color);
    border-radius: 10px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    margin-left: 0;
    box-shadow: 0 2px 8px rgba(255, 192, 203, 0.3);
    transition: box-shadow 0.3s ease;
}
.voucher-card:hover {
    box-shadow: 0 4px 12px rgba(255, 105, 180, 0.4);
}
.truncate-lines {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;
    line-height: 1.5em;
    max-height: 3em;
    word-break: break-word;
    width: 200px;
    font-weight: 700;
}
.voucher-apply1 {
    color: #0d6efd;
    font-size: 13px;
}
.voucher-save {
    color: var(--color-btn-green);
    font-weight: 700 !important;
    font-size: 13px;
}
.voucher-subtext {
    font-size: 12px;
    color: #555;
}
.voucher-more {
    font-size: 12px;
    color: #007bff;
    cursor: pointer;
    font-weight: 600;
}
.voucher-apply {
    color: #0d6efd;
}
.voucher-apply,
.voucher-remove {
    cursor: pointer;
    font-size: 13px;
    font-weight: 800;
}
.voucher-remove {
    color: var(--primary-500);
}
.remove-btn {
    border: 1px solid var(--primary-400) !important;
    background-color: var(--bg-color) !important;
    border-radius: 5px !important;
}
.remove-btn,
.remove-btn:hover {
    color: var(--primary-400) !important;
    padding: 4px 15px;
}
.remove-btn:hover {
    box-shadow:
        0 4px 6px rgba(0, 0, 0, 0.3),
        0 1px 3px rgba(0, 0, 0, 0.06);
    border: 1px solid var(--primary-400) !important;
}
.remove-btn img {
    max-width: 15px;
    max-height: 15px;
}
@media screen and (max-width: 424px) {
    .remove-btn {
        border: 1px solid var(--primary-400) !important;
        background-color: var(--bg-color) !important;
        border-radius: 5px !important;
    }
    .remove-btn,
    .remove-btn:hover {
        color: var(--primary-400) !important;
        padding: 4px 15px;
    }
    .remove-btn:hover {
        box-shadow:
            0 4px 6px rgba(0, 0, 0, 0.3),
            0 1px 3px rgba(0, 0, 0, 0.06);
        border: 1px solid var(--primary-400) !important;
    }
    .remove-btn img {
        display: none !important;
    }
}
